/* Создано Maksovich специально для OldHit.ru */

:root {
  --main_max_width: 600px;
  --alert_alpha_bg: rgba(0,0,0, 0.8);
  --day: aliceblue;
  --night: #000000;
  --night_alpha: rgba(99,99,99,0.3);
  --player_up: #05e1ff;
  --player_dn: #088cf8;
  --player_text: rgba(255, 255, 255, 0.8);
  --player_text_bg: #000000;
  --player_slider_progress: rgb(4, 224, 254);
  --player_slider_remain: rgb(4, 224, 254);
  --player_slider_bg: var(--player_text_bg);
  --player_bg: linear-gradient(to bottom, var(--player_up) 0%, var(--player_dn) 50%);
  --player_border: 0 0 0 1px rgba(0,0,0,0.1);
  --text_day: #000;
  --text_night: rgba(200,200,200,0.5);
}
@keyframes opa {
  from { opacity: 0; }
  to { opacity: 1; }
}
@keyframes rot {
  from { transform: rotate(0deg); }
  to { transform: rotate(360deg); }
}
.hide, .hidden {
  display: none !important;
}
.usnone {
  -webkit-touch-callout: none; /* iOS Safari */
  -webkit-user-select: none;   /* Chrome/Safari/Opera */
  -khtml-user-select: none;    /* Konqueror */
  -moz-user-select: none;      /* Firefox */
  -ms-user-select: none;       /* Internet Explorer/Edge */
  user-select: none;           /* Non-prefixed version */
}
html {
  height: 100vh;
  width: 100vw;
  overflow-x: hidden;
  scrollbar-color: #848485 #363637;
  scrollbar-width: none;
}
html, body, p {
  margin: 0;
  padding: 0;
}
body {
  color: #333;
  text-decoration: none;
  font-family: Arial, Tahona, Verdana, sans-serif;
  background-color: var(--night);
  animation: opa 2.5s forwards;
  -webkit-tap-highlight-color: transparent;
}
a, a:active {
  outline: none;
  background: none;
  text-decoration: underline;
  color: #9a9a9a;
}
.title h1 {
  font-size: 42px;
  line-height: 1.0;
  text-transform: uppercase;
  font-weight: 600;
  margin: 0;
  filter: drop-shadow(1px 1px 0 rgba(255,255,255,0.3));
  background-image: url("img/1920.webp");
  background-size: cover;
  background-position-x: center;
  background-position-y: 60%;
  /* background-image: linear-gradient(0deg, #376ebf, #22477d); */
  /* background-image: linear-gradient(0deg, #808080, #dddddd); */
  -webkit-background-clip: text;
  background-clip: text;
  color: transparent;
  -webkit-text-fill-color: transparent;
}
.current h1 {
  margin: 0;
  font-size: inherit;
  font-weight: normal;
  /* line-height: 1.0; */
}
.smartbg {
  width: 100%;
  height: 100%;
  background-size: cover;
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-position-y: bottom;
  background-position-x: center;
  background-image: url("/img/bg/anp.webp");
  background-blend-mode: overlay;
  background-color: #444;
  position: fixed;
  /* filter: blur(8px); */
}
.videoeffect .smartbg:not(:empty) {
  z-index: 1;
}
.videoeffect.played .lightrope,
.videoeffect.played #snowbox {
  display: none;
}
video {
  width: 100%;
  height: 100%;
  object-fit: cover;
  /* mix-blend-mode: exclusion; */
}
.main {
  width: 500px;
  margin: 0 auto;
  padding: 15px 0;
  gap: 10px;
  display: flex;
  flex-direction: column;
  align-items: center;
  position: relative;
  z-index: 1;
}
.lightrope ~ .main {
  padding: 3em 0;
  transition: 0.5s linear;
}
.noscript {
  margin-bottom: 10px;
  padding: 5px 8px;
  text-align: center;
  color: var(--player_text);
  background-color: var(--night_alpha);
  border-radius: 3px;
}
.top {
  width: 100%;
  /* margin: 10px 0; */
  display: flex;
  align-items: center;
}
.logo {
  width: inherit;
  height: 40px;
  margin: 0 10px;
  /* background-image: url("/img/under-logo.png"); */
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  /* filter: drop-shadow(1px 1px 0 rgba(255, 255, 255, 0.8)); */
}
.logo.svg {
  height: 46px;
  display: flex;
  align-items: center;
  justify-content: center;
  /* filter: drop-shadow(0 0 1px black); */
}
.logo.svg .s1 {
  background-color: var(--night);
  padding: 6px 6px;
  border-radius: 4px 0 0 4px;
}
.logo.svg .s2 {
  height: 46px;
  width: auto;
  background-color: var(--night);
  padding: 6px;
  margin: 0 -6px;
  border-radius: 50%; z-index: 2;
}
.logo.svg .s3 {
  background-color: var(--night);
  padding: 6px 6px;
  border-radius: 0 4px 4px 0;
}
.about .spoiler {
  background-color: var(--night_alpha);
  border-radius: 8px;
  padding: 5px;
}
.about .spoiler input, .about .spoiler div {
  display: none;
}
.spoiler label {
  margin: 5px;
  padding: 5px 10px;
  border-radius: 5px;
  background-color: var(--player_text_bg);
  color: var(--player_text);  
  display: inline-flex;
  cursor: pointer;
}
.spoiler :checked ~ div {
  display: block;
}
.spoiler :checked ~ label[for="spoiler"] {
  background-color: var(--player_dn);
}
.cover {
  display: flex;
  flex-direction: column;
  gap: 10px;
}
.player {
  width: 350px;
  gap: 5px;
  display: flex;
  flex-direction: column;
}
.base {
  display: flex;
  flex-direction: column;
  background: var(--player_bg);
  /* box-shadow: var(--player_border); */
  border-radius: 2px;
  padding: 5px;
  gap: 5px;
}
.song {
  border-radius: 3px;
  color: var(--player_text);
  background-color: var(--player_text_bg);
  display: flex;
  align-items: center;
  justify-content: center;
}
.control {
  height: 32px;
  display: flex;
  gap: 6px;
}
.control .bg {
  background: var(--player_bg);
  box-shadow: var(--player_border);
  border-radius: 3px;
  display: flex;
}
.control .bg.vl {
  width: 100%;
}
.current span {
  width: 14px;
  height: 14px;
  margin: 0 5px;
  border-radius: 20%;
  /* background-color: #222; */
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;
  background-image: url("data:image/svg+xml,%3Csvg version='1.1' viewBox='0 0 512 512' xmlns='http://www.w3.org/2000/svg' fill='%23d0d0d0'%3E%3Cpath d='m60 256c0-51 18.6-97.9 54-135.6 5.3-5.7 5.2-14.8-.4-20.3-2.6-2.6-6.1-4.1-9.7-4.1-3.8 0-7.4 1.6-10.1 4.4-40.5 43.3-61.8 97-61.8 155.6 0 58.5 21.3 112.3 61.7 155.5 2.7 2.9 6.3 4.5 10.2 4.5 3.6 0 7.1-1.4 9.7-3.9 2.7-2.6 4.3-6.2 4.4-10 .1-3.9-1.3-7.6-4-10.3-35.4-37.9-54-84.8-54-135.8zm358.2-155.6c-2.6-2.8-6.2-4.4-10-4.4-3.6 0-7.1 1.4-9.7 3.9-2.7 2.6-4.3 6.2-4.4 10-.1 3.9 1.3 7.6 4 10.3 35.3 37.8 54 84.7 54 135.7s-18.6 97.9-54 135.7c-5.3 5.6-5.2 14.7.3 20.2 2.5 2.6 6 4 9.7 4 3.9 0 7.6-1.6 10.2-4.6 40.4-43 61.7-96.7 61.7-155.2s-21.3-112.4-61.8-155.6z'/%3E%3Cpath d='M159.2 347.7c-24.1-24.3-37.3-56.6-37.3-90.9 0-35 13.8-67.9 38.8-92.4 5.5-5.3 5.6-14.2.2-19.8-2.6-2.7-6.2-4.2-10-4.2-3.7 0-7.2 1.4-9.8 4C110.7 174.2 94 214.1 94 256.8c0 41.6 16.1 80.9 45.3 110.6 2.7 2.7 6.2 4.2 9.9 4.2s7.2-1.5 9.8-4.2c2.6-2.6 4.1-6.1 4.1-9.8.2-3.7-1.2-7.2-3.9-9.9zM371 144.5c-2.6-2.6-6-4-9.8-4-3.8 0-7.3 1.5-10 4.1-5.4 5.4-5.4 14.3.1 19.8 25 24.5 38.7 56.5 38.7 91.5 0 34.2-13.1 67.4-37.1 91.8-5.4 5.4-5.3 14.3.1 19.7 2.6 2.6 6.2 4.1 9.8 4.1 3.8 0 7.4-1.5 9.9-4.1C402 337.7 418 297.6 418 256c0-42.5-16.7-81.5-47-111.5z'/%3E%3Cpath d='m207.1 183.4c-2.6-2.7-6.2-4.2-10-4.2-3.7 0-7.2 1.4-9.8 4.1-19.8 19.5-30.8 45.6-30.8 73.3 0 27.1 10.5 52.7 29.5 72.1 2.7 2.7 6.2 4.2 10 4.2 3.7 0 7.2-1.4 9.8-4 2.7-2.6 4.2-6.1 4.2-9.9s-1.4-7.3-4.1-10c-13.8-14-21.4-32.6-21.4-52.5 0-20.3 8-39.2 22.4-53.4 5.4-5.2 5.5-14.1.2-19.7zm118.6-.2c-2.6-2.6-6-4-9.8-4s-7.3 1.5-10 4.1c-5.4 5.4-5.4 14.3.1 19.8 14.5 14.3 22.4 33.3 22.4 53.5 0 19.8-7.6 38.5-21.5 52.5-2.6 2.6-4.1 6.2-4 9.9 0 3.7 1.5 7.2 4.1 9.8s6.2 4.1 9.8 4.1c3.7 0 7.3-1.5 9.9-4.2 19.1-19.4 29.6-45 29.6-72.1.1-27.8-10.8-53.8-30.6-73.4zm-69.7 34.8c-21 0-38 17-38 38s17 38 38 38 38-17 38-38-17.1-38-38-38z'/%3E%3C/svg%3E");
}
.current:not(:empty) {
  white-space: nowrap;
  overflow: hidden;
  /* text-overflow: ellipsis; */
  font-size: 12px;
  padding: 5px;
  display: flex;
  align-items: center;
}
.remain_block {
  width: 100%;
  background-color: var(--player_slider_bg);
  box-shadow: var(--player_border);
  border-radius: 3px;
  height: 3px;
  display: flex;
}
.remain {
  background-color: var(--player_slider_remain);
  border-radius: inherit;
  height: inherit;
  transition: 1.0s;
  position: relative;
  overflow: hidden;
}
#play_button {
  width: 48px;
  height: inherit;
  background-repeat: no-repeat;
  background-position: 50%;
  background-size: contain;
  cursor: pointer;
}
.play {
  background-image: url("data:image/svg+xml,%3Csvg width='24' height='24' version='1.1' viewBox='9 9 24 24' xmlns='http://www.w3.org/2000/svg'%3E%3Cg fill='%23000000'%3E%3Cpath d='m17.8 26.9c-.4.3-.8.1-.8-.5v-10.8c0-.6.4-.8.8-.4l8 5.4c.3.2.3.6 0 .8l-8 5.5z' fill='%23ffffff'/%3E%3C/g%3E%3C/svg%3E%0A");
}
.pause {
  background-image: url("data:image/svg+xml,%3Csvg width='24' height='24' version='1.1' viewBox='9 9 24 24' xmlns='http://www.w3.org/2000/svg'%3E%3Cg fill='%23000000'%3E%3Cpath d='m17 15.6c0-.3.3-.6.6-.6h1.8c.3 0 .6.3.6.6v10.8c0 .3-.3.6-.6.6h-1.8c-.3 0-.6-.3-.6-.6v-10.8zm5 0c0-.3.3-.6.6-.6h1.8c.3 0 .6.3.6.6v10.8c0 .3-.3.6-.6.6h-1.8c-.3 0-.6-.3-.6-.6v-10.8z' fill='%23ffffff'/%3E%3C/g%3E%3C/svg%3E%0A");
}
.volume {
  display: flex;
  align-items: center;
  width: 100%;
}
#volume_set {
  width: 100%;
  background-color: var(--player_slider_bg);
  box-shadow: var(--player_border);
  border-radius: 3px;
  height: 3px;
  margin: 0 5px;
  padding: 0;
  -moz-appearance: none;
  -webkit-appearance: none;
}
#volume_set:focus {
  outline: none;
}
#volume_set::-moz-range-track {
  background: transparent;
  border-color: transparent;
  color: transparent;
}
#volume_set::-moz-range-progress {
  background: var(--player_slider_progress);
  border-radius: 3px;
  height: 3px;
}
#volume_set::-moz-range-thumb {
  border: none;
  height: 14px;
  width: 14px;
  border-radius: 50%;
  background: #fff;
  cursor: pointer;
}
#volume_set::-webkit-slider-thumb {
  -webkit-appearance: none;
  border: none;
  height: 14px;
  width: 14px;
  border-radius: 50%;
  background: #fff;
  cursor: pointer;
}
.bg.st > div {
  width: 32px;
  background-size: 55%;
  background-repeat: no-repeat;
  background-position: center;
  cursor: pointer;
}
.writetous {
  background-image: url("data:image/svg+xml,%3Csvg fill='%23fff' version='1.1' xmlns='http://www.w3.org/2000/svg' width='800px' height='800px' viewBox='0 0 302.167 302.167'%3E%3Cg%3E%3Cpath d='M261.155,24.004H41.007C18.39,24.004,0,42.402,0,65.017v129.092c0,22.613,18.39,41.012,41.007,41.012h166.17l34.588,40.869 c1.183,1.405,2.918,2.174,4.695,2.174c0.709,0,1.418-0.133,2.114-0.385c2.426-0.889,4.035-3.194,4.035-5.764V235.12h8.551 c22.614,0,41.007-18.398,41.007-41.012V65.017C302.162,42.402,283.775,24.004,261.155,24.004z M103.751,145.733 c-7.944,0-14.384-6.438-14.384-14.376c0-7.95,6.44-14.387,14.384-14.387c7.938,0,14.381,6.437,14.381,14.387 C118.132,139.296,111.689,145.733,103.751,145.733z M151.078,145.733c-7.944,0-14.381-6.438-14.381-14.376 c0-7.95,6.437-14.387,14.381-14.387c7.938,0,14.379,6.437,14.379,14.387C165.457,139.296,159.016,145.733,151.078,145.733z M201.365,145.733c-7.944,0-14.388-6.438-14.388-14.376c0-7.95,6.443-14.387,14.388-14.387c7.938,0,14.382,6.437,14.382,14.387 C215.747,139.296,209.303,145.733,201.365,145.733z'/%3E%3C/g%3E%3C/svg%3E");
}
.writetous[data-url="load"] {
  animation: rot 1s linear infinite;
}
.lastplayed {
  background-image: url("data:image/svg+xml,%3Csvg width='24' height='24' version='1.1' viewBox='0 0 24 24' xmlns='http://www.w3.org/2000/svg'%3E%3Cg fill='none' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpath d='m12 6v6l5 3' stroke='%23fffff8' stroke-width='3'/%3E%3Ccircle cx='12' cy='12' r='10.5' stroke='%23fffffd' stroke-dashoffset='10' stroke-width='3' style='paint-order:normal'/%3E%3C/g%3E%3C/svg%3E");
}
.settings {
  background-image: url("data:image/svg+xml,%3Csvg width='17' height='17' version='1.1' viewBox='0 0 17 17' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M14.98 9.35c0-.256.089-.594.089-.85s0-.594-.089-.85l1.837-1.275c.174-.086.263-.339.089-.594l-1.748-2.975c-.09-.256-.352-.342-.526-.256l-2.097.936a5.578 5.578 0 0 0-1.574-.85L10.7.425c0-.256-.175-.425-.437-.425H6.765c-.263 0-.437.17-.437.425L6.065 2.55c-.61.256-1.137.511-1.574.85l-2.096-.85c-.174-.086-.437 0-.526.17L.121 5.693c-.174.256-.174.512.089.595L2.047 7.65c0 .256-.089.594-.089.85s0 .594.089.85L.21 10.625c-.174.086-.263.339-.089.594l1.748 2.975c.09.256.352.342.526.256l2.096-.936c.437.342 1.052.68 1.574.85l.263 2.211c0 .256.174.425.437.425h3.497c.262 0 .437-.17.437-.425l.262-2.211c.612-.253 1.137-.508 1.574-.85l2.097.936c.174.086.437 0 .526-.17l1.748-2.974a.516.516 0 0 0-.09-.595L14.98 9.35zM8.513 11.9c-1.922 0-3.496-1.53-3.496-3.4 0-1.87 1.574-3.4 3.496-3.4 1.923 0 3.497 1.53 3.497 3.4 0 1.87-1.574 3.4-3.497 3.4z' fill='%23fff'/%3E%3C/svg%3E");
}
.settings_main_block {
  display: none;
  background: var(--player_bg);
  box-shadow: var(--player_border);
  border-radius: 2px;
  padding: 5px;
  gap:10px;
}
.settings_main_block.show {
  display: flex;
  flex-direction: column;
}
.settings_block {
  font-size: 12px;
  color: var(--player_text);
  text-shadow: 0px 1px 0.8px var(--player_slider_bg);
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.settings_block:first-child span {
  width: 100%;
  text-align: center;
}
.settings_effect_select {
  width: 24px;
  height: 24px;
  display: flex;
  cursor: pointer;
  border-radius: 3px;
  background: var(--player_bg);
  box-shadow: var(--player_border);
}
.settings_effect_select:before {
  content: '';
  width: inherit;
  background-position: center;
  background-repeat: no-repeat;
  background-image: url("data:image/svg+xml,%3Csvg width='24' height='24' version='1.1' viewBox='9 9 24 24' xmlns='http://www.w3.org/2000/svg'%3E%3Cg fill='%23000000'%3E%3Cpath d='m17.8 26.9c-.4.3-.8.1-.8-.5v-10.8c0-.6.4-.8.8-.4l8 5.4c.3.2.3.6 0 .8l-8 5.5z' fill='%23ffffff'/%3E%3C/g%3E%3C/svg%3E%0A");
}
#settings_effect_previous:before {
  transform: scale(-1);
}
.last_played_main_block {
  display: none;
  background: var(--player_bg);
  box-shadow: var(--player_border);
  border-radius: 2px;
  padding: 5px;
}
.last_played_list_block {
  font-size: 12px;
  line-height: 1.2;
  color: var(--player_text);
  background-color: var(--player_text_bg);
  border-radius: 3px;
  padding: 2px 4px;
}
.last_played_list_block:empty:before {
  content: "Загружаю...";
  margin: 3px;
  text-align: center;
  display: block;
}
.last_block {
  display: flex;
  gap: 5px;
}
.last_time {
  /* margin-right: 5px; */
}
.last_title {
  width: 100%;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}
.show {
  display: block;
}
input[type="checkbox"] {
  min-width: 30px;
  height: 15px;
  margin: 0;
  border: none;
  outline: none;
  cursor: pointer;
  background-color: var(--player_slider_bg);
  box-shadow: var(--player_border);
  border-radius: 8px;
  position: relative;
  display: inline-block;
  -webkit-appearance:  none;
  -moz-appearance: none;
  appearance: none;
}
input[type="checkbox"]:checked {
  background-color: var(--player_slider_progress);
}
input[type="checkbox"]:before {
  content: '';
  position: absolute;
  width: 15px;
  height: 15px;
  border-radius: 50%;
  top: 0;
  left: 0;
  background: #fff;
  transform: scale(0.7);
  box-shadow: var(--player_border);
  transition: 0.1s;
}
input:checked[type="checkbox"]:before {
  left: 15px;
}
.info {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10px;
}
.links:empty {
  display: none;
}
.links:not(:empty) {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 10px;
}
.links div {
  width: 32px;
  height: 32px;
  display: flex;
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  background-color: var(--night);
  filter: grayscale(100%);
  border-radius: 20%;
  cursor: pointer;
  /* opacity: 0.5; */
}
.tv {
  background-color: #000000;
  background-size: 75% !important;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' xml:space='preserve' x='0%25' y='0%25' viewBox='0 0 24 24'%3E%3Cdefs%3E%3Cfilter id='a' width='600%25' height='600%25' x='-200%25' y='-200%25'%3E%3CfeOffset dx='.159' dy='.159' in='SourceGraphic' result='offOut'/%3E%3CfeGaussianBlur in='offOut' result='blurOut' stdDeviation='.04'/%3E%3CfeFlood flood-color='%23000' flood-opacity='.502' result='flood'/%3E%3CfeComposite in='flood' in2='blurOut' operator='in' result='blendOut0'/%3E%3CfeBlend in='SourceGraphic' in2='blendOut0'/%3E%3C/filter%3E%3Cfilter id='b' width='600%25' height='600%25' x='-200%25' y='-200%25'%3E%3CfeOffset dx='.159' dy='.159' in='SourceGraphic' result='offOut'/%3E%3CfeGaussianBlur in='offOut' result='blurOut' stdDeviation='.04'/%3E%3CfeFlood flood-color='%23000' flood-opacity='.502' result='flood'/%3E%3CfeComposite in='flood' in2='blurOut' operator='in' result='blendOut0'/%3E%3CfeBlend in='SourceGraphic' in2='blendOut0'/%3E%3C/filter%3E%3C/defs%3E%3Cpath stroke='%23FFF' stroke-linecap='square' stroke-width='.36' d='M11 5 9 2M13 5l2-3'/%3E%3Cpath fill='%23FFF' d='M10 4h4a1 1 0 0 1 1 1 1 1 0 0 1-1 1h-4a1 1 0 0 1-1-1 1 1 0 0 1 1-1M5 19h14a1 1 0 0 1 1 1v1a1 1 0 0 1-1 1H5a1 1 0 0 1-1-1v-1a1 1 0 0 1 1-1'/%3E%3Cpath fill='%23FFF' d='M22 7.5q0-2.04-1-2.2-9-1.1-18 0-1 .16-1 2.2v11q0 2.04 1 2.2 9 1.1 18 0 1-.16 1-2.2zM15 1.5c.28 0 .5.22.5.5s-.22.5-.5.5-.5-.22-.5-.5.22-.5.5-.5M9 1.5c.28 0 .5.22.5.5s-.22.5-.5.5-.5-.22-.5-.5.22-.5.5-.5'/%3E%3Cpath fill='%23333' stroke='%23000' stroke-linecap='square' stroke-width='.48' d='M20.75 8.33q0-1.73-.87-1.86-7.88-.94-15.76 0-.87.13-.87 1.86v9.34q0 1.73.87 1.86 7.88.94 15.75 0 .88-.13.88-1.86z'/%3E%3Cpath fill='%23FFF' stroke='%23000' stroke-linecap='square' stroke-linejoin='round' stroke-width='.099' d='M4.42 8.61v1.6h2.8v7.18h1.59v-7.18h2.79v-1.6z' filter='url(%23a)'/%3E%3Cpath fill='%23FFF' stroke='%23000' stroke-linecap='square' stroke-linejoin='round' stroke-width='.099' d='M14.79 17.39 12.4 9.01l1.59-.4 2 7.18 1.99-7.18 1.6.4-2.4 8.38z' filter='url(%23b)'/%3E%3C/svg%3E");
}
.vk {
  background-color: #4a76a8;
  background-size: 105% !important;
  background-image: url("data:image/svg+xml,%3Csvg width='48' height='48' viewBox='0 0 48 48' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M25.54 34.5801C14.6 34.5801 8.3601 27.0801 8.1001 14.6001H13.5801C13.7601 23.7601 17.8 27.6401 21 28.4401V14.6001H26.1602V22.5001C29.3202 22.1601 32.6398 18.5601 33.7598 14.6001H38.9199C38.0599 19.4801 34.4599 23.0801 31.8999 24.5601C34.4599 25.7601 38.5601 28.9001 40.1201 34.5801H34.4399C33.2199 30.7801 30.1802 27.8401 26.1602 27.4401V34.5801H25.54Z' fill='white'/%3E%3C/svg%3E");
}
.ok {
  background-color: #F7931E;
  background-size: 80% !important;
  background-image: url("data:image/svg+xml,%3Csvg width='389.4px' height='387.42px' enable-background='new 0 0 389.404 387.417' version='1.1' viewBox='0 0 389.404 387.417' xml:space='preserve' xmlns='http://www.w3.org/2000/svg'%3E%3Cg fill='%23FFFFFF'%3E%3Cpath d='m194.48 57.901c-38.593 0-69.878 31.286-69.878 69.878 0 38.593 31.285 69.881 69.878 69.881s69.878-31.288 69.878-69.881c0-38.592-31.285-69.878-69.878-69.878zm0 98.766c-15.953 0-28.886-12.934-28.886-28.887s12.933-28.886 28.886-28.886 28.886 12.933 28.886 28.886-12.933 28.887-28.886 28.887z'/%3E%3Cpath d='m219.16 253.26c27.975-5.699 44.739-18.947 45.626-19.658 8.186-6.565 9.501-18.523 2.936-26.71-6.564-8.186-18.521-9.501-26.709-2.937-.173.14-18.053 13.856-47.472 13.876-29.418-.02-47.676-13.736-47.849-13.876-8.188-6.564-20.145-5.249-26.709 2.937-6.565 8.187-5.25 20.145 2.936 26.71.899.721 18.355 14.314 47.114 19.879l-40.081 41.888c-7.284 7.554-7.065 19.582.489 26.866 3.687 3.555 8.439 5.322 13.187 5.322 4.978 0 9.951-1.945 13.679-5.812l37.235-39.665 40.996 39.922c7.428 7.416 19.456 7.404 26.87-.021 7.414-7.426 7.405-19.456-.021-26.87l-42.227-41.851z'/%3E%3Cpath d='m193.54 217.83c-.047 0 .046.001 0 .002-.046-.001.047-.002 0-.002z'/%3E%3C/g%3E%3C/svg%3E");
}
.telegram, .telearch {
  background-color: #37aee2;
  background-size: 120% !important;
  background-image: url("data:image/svg+xml,%3Csvg version='1.1' viewBox='0 0 240 240' xmlns='http://www.w3.org/2000/svg'%3E%3Cdefs%3E%3ClinearGradient id='b' x1='.66' x2='.851' y1='.437' y2='.802'%3E%3Cstop stop-color='%23eff7fc' offset='0'/%3E%3Cstop stop-color='%23fff' offset='1'/%3E%3C/linearGradient%3E%3C/defs%3E%3Cpath d='M98 175c-3.888 0-3.227-1.468-4.568-5.17L82 132.207 170 80' fill='%23c8daea' style=''/%3E%3Cpath d='m98 175c3 0 4.325-1.372 6-3l16-15.558-19.958-12.035' fill='%23a9c9dd' style=''/%3E%3Cpath d='m100.04 144.41l48.36 35.729c5.519 3.045 9.501 1.468 10.876-5.123l19.685-92.763c2.015-8.08-3.08-11.746-8.36-9.349l-115.59 44.571c-7.89 3.165-7.843 7.567-1.438 9.528l29.663 9.259 68.673-43.325c3.242-1.966 6.218-.91 3.776 1.258' fill='url(%23b)' style=''/%3E%3C/svg%3E");
}
.telearch {
  background-color: RoyalBlue;
}
.x {
  background-color: #000;
  background-size: 55% !important;
  background-image: url("data:image/svg+xml,%3Csvg fill='none' height='2260' width='2500' xmlns='http://www.w3.org/2000/svg' viewBox='0.254 0.25 500 451.95400000000006'%3E%3Cpath d='M394.033.25h76.67L303.202 191.693l197.052 260.511h-154.29L225.118 294.205 86.844 452.204H10.127l179.16-204.77L.254.25H158.46l109.234 144.417zm-26.908 406.063h42.483L135.377 43.73h-45.59z' fill='%23fff'/%3E%3C/svg%3E");
}
.stream {
  background-color: #ca102a;
  background-size: 65% !important;
  /* background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' x='0' y='0' viewBox='0 0 1000 1000' xml:space='preserve' fill='%23fff'%3E%3Cpath d='M566.6-45.9a85.3 85.3 0 0 0-65.5-27.4c-25.8.4-48 9.5-66.6 27.4s-28 39.8-28 65.5c0 25.8 9.3 48 28 66.6 17.9 18.7 39.8 28 65.5 28s48-9.3 66.6-28c18.7-17.9 28-39.9 28-66.1s-9.3-48.1-28-66zm329.3 368.4a89.2 89.2 0 0 0-65 28C739.8 440.8 629.7 486 500.5 486s-239.3-45.2-330.4-135.5a88.2 88.2 0 0 0-66.1-27.4 94.6 94.6 0 0 0-66.1 27.4 89.7 89.7 0 0 0-28 65.5c0 25 9.3 46.9 28 65.5 83.6 83.6 181.4 140.2 293.4 169.7s224.2 29.5 336.6 0 210.4-86.1 294-169.7a89.7 89.7 0 0 0 28-65.5c0-25-9.3-46.9-28-65.5s-40.6-28-66-28zM302.3 124.3a90.3 90.3 0 0 0-66.1 28c-18.7 18.7-28 40.7-28 66.1s9.3 47.4 28 66.1a364.3 364.3 0 0 0 168 96.9c64.2 16.8 128.4 16.8 192.6 0s120.2-49.1 168-96.9c18.7-18.7 28-40.7 28-66.1s-9.3-47.4-28-66.1-40.7-28-66.1-28a90.3 90.3 0 0 0-66.1 28c-36.6 36.6-80.6 54.9-132.2 54.9s-95.6-18.3-132.2-54.9a89.6 89.6 0 0 0-65.9-28z' transform='matrix(1 0 0 -1 0 800)'/%3E%3C/svg%3E%0A"); */
  background-image: url("data:image/svg+xml,%3Csvg fill='%23fff' height='800px' width='800px' viewBox='0 0 330 330' version='1.1' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath id='XMLID_792_' d='M300,175.799v-21.557c0-74.44-60.561-135-135-135s-135,60.56-135,135v21.557c-18.204,13.697-30,35.476-30,59.959c0,41.355,33.644,75,75,75c8.284,0,15-6.716,15-15v-120c0-8.284-6.716-15-15-15c-5.136,0-10.152,0.521-15,1.51v-8.025c0-57.897,47.103-105,105-105s105,47.103,105,105v8.025c-4.848-0.989-9.864-1.51-15-1.51c-8.284,0-15,6.716-15,15v120c0,8.284,6.716,15,15,15c41.355,0,75-33.645,75-75C330,211.274,318.204,189.496,300,175.799z'/%3E%3C/svg%3E");
}
.m3u {
  background-color: #16aea0;
  background-size: 60% !important;
  background-image: url("data:image/svg+xml,%3Csvg version='1.1' id='Capa_1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' x='0px' y='0px' viewBox='0 0 512 512' style='enable-background:new 0 0 512 512;' xml:space='preserve' fill='%23fff'%3E%3Cg%3E%3Cpath d='M48,64h160c17.672,0,32-14.328,32-32c0-17.674-14.328-32-32-32H48C30.328,0,16,14.326,16,32C16,49.672,30.328,64,48,64z'/%3E%3Cpath d='M48,160h160c17.672,0,32-14.328,32-32c0-17.674-14.328-32-32-32H48c-17.672,0-32,14.326-32,32 C16,145.672,30.328,160,48,160z'/%3E%3Cpath d='M240,224c0-17.674-14.328-32-32-32H48c-17.672,0-32,14.326-32,32c0,17.672,14.328,32,32,32h160 C225.672,256,240,241.672,240,224z'/%3E%3Cpath d='M411.328,75.914C393.043,61.805,368,42.477,368,32c0-17.672-14.328-32-32-32s-32,14.328-32,32v293.58 c-10.023-3.549-20.762-5.58-32-5.58c-53.02,0-96,42.98-96,96s42.98,96,96,96s96-42.98,96-96V123.293 c1.414,1.094,2.82,2.203,4.23,3.293c36.105,27.852,59.77,48.078,59.77,74.305c0,40.766-21.684,63.516-22.305,64.164 c-12.672,12.32-12.961,32.578-0.641,45.25c6.273,6.453,14.605,9.695,22.949,9.695c8.035,0,16.082-3.008,22.301-9.055 c4.27-4.148,41.695-42.484,41.695-110.055C496,141.25,449.051,105.023,411.328,75.914z'/%3E%3C/g%3E%3C/svg%3E%0A");
}
.mail {
  background-color: #808080;
  background-size: 65% !important;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1280 1280'%3E%3Cg transform='translate(0.000000,1280.000000) scale(0.100000,-0.100000)'%0Afill='%23ffffff' stroke='none'%3E%3Cpath d='M6555 12254 c-501 -22 -884 -68 -1283 -155 -1377 -301 -2493 -1063%0A-3283 -2239 -149 -222 -267 -429 -409 -715 -234 -474 -375 -848 -499 -1325%0A-155 -595 -219 -1146 -208 -1800 11 -696 106 -1257 317 -1874 244 -713 595%0A-1280 1110 -1796 398 -397 818 -695 1335 -946 835 -405 1870 -634 2997 -663%0A1000 -26 1841 75 2548 305 682 221 1314 561 1830 983 389 318 735 683 962%0A1016 128 187 254 415 244 440 -2 7 -71 48 -153 92 l-148 78 -557 3 -557 3 -63%0A-83 c-231 -305 -507 -559 -858 -793 -766 -510 -1546 -751 -2610 -805 -1113%0A-57 -2206 136 -3056 540 -1116 530 -1830 1511 -2048 2815 -139 833 -75 1746%0A179 2525 156 481 414 997 685 1374 263 366 616 714 983 970 216 151 554 337%0A811 446 465 197 977 319 1517 361 209 16 758 7 939 -15 564 -69 1040 -210%0A1505 -446 692 -350 1185 -817 1512 -1430 210 -395 338 -817 384 -1265 14 -143%0A14 -509 0 -650 -79 -765 -415 -1503 -930 -2047 -293 -309 -783 -625 -1063%0A-684 -159 -34 -292 0 -336 86 -48 93 -38 152 297 1700 110 509 317 1470 461%0A2135 143 666 263 1218 266 1228 5 16 -27 17 -575 17 l-580 0 -19 -27 c-69%0A-100 -79 -132 -144 -445 -34 -170 -66 -307 -69 -305 -4 1 -40 45 -80 97 -88%0A115 -276 310 -379 393 -362 293 -821 457 -1275 457 -610 0 -1309 -314 -1847%0A-828 -592 -568 -1081 -1518 -1222 -2375 -41 -247 -50 -367 -50 -642 1 -437 59%0A-769 200 -1155 47 -126 198 -432 269 -544 338 -534 829 -871 1425 -978 161%0A-29 429 -29 590 0 470 85 934 346 1368 769 59 56 107 103 108 103 0 0 7 -26%0A14 -58 26 -119 83 -289 117 -352 134 -246 377 -404 718 -466 125 -23 547 -27%0A690 -6 563 81 1023 289 1530 691 147 116 524 491 665 661 664 800 1010 1638%0A1081 2620 15 203 6 651 -15 840 -86 743 -321 1396 -724 2015 -107 164 -252%0A358 -375 500 -123 143 -394 408 -527 517 -797 650 -1801 1026 -2980 1118 -137%0A10 -609 19 -735 14z m-85 -3558 c328 -21 669 -234 874 -546 326 -494 340%0A-1360 36 -2187 -69 -186 -220 -491 -317 -638 -256 -388 -641 -721 -1001 -865%0A-186 -75 -274 -93 -457 -94 -138 -1 -172 2 -245 22 -306 83 -602 348 -754 673%0A-115 248 -166 513 -166 867 0 375 65 739 207 1156 165 487 382 855 688 1162%0A233 236 424 351 694 421 89 22 272 43 331 37 14 -2 63 -5 110 -8z'/%3E%3C/g%3E%3C/svg%3E%0A");
}
.about {
  text-align: center;
  font-size: medium;
  /* text-shadow: var(--text_day); */
}
.youtube {
  background-color: #d22222;
  background-image: url("data:image/svg+xml,%3Csvg width='180' height='180' version='1.1' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='m135 90-80-40v80z' fill='%23fff' stroke-width='1.8309'/%3E%3C/svg%3E%0A");
}
.yandex {
  background-color: #333;
  background-size: 80% !important;
  background-image: url("data:image/svg+xml,%3Csvg width='250' height='250' version='1.1' viewBox='0.61537933 0.84615386 250 250' xmlns='http://www.w3.org/2000/svg'%3E%3Cdesc%3ECreated with Sketch.%3C/desc%3E%3Cg transform='translate(25 3.6923)' fill='none'%3E%3Cg%3E%3Ccircle id='036ff3c2-85be-4920-8182-b76bda84895b' cx='97.538' cy='146.23' r='96.923' fill='%23ffcc00'/%3E%3Cpath id='74fa9ccb-0cb8-4504-995d-ff3e8719b80b' d='m97.538 194.69c22.159 0 40.841-14.87 46.615-35.173 1.2019-4.226 1.8462-12.5 1.8462-21.365 0-8.8702-2.8606-9.0769-5.0288-13.447-2.6653-5.363-6.2984-10.188-10.716-14.231-8.9257-8.1891-20.603-12.725-32.716-12.707-26.764 0-48.462 21.697-48.462 48.462s21.697 48.462 48.462 48.462z' fill='%23ff3333'/%3E%3Cpolygon points='199.31 20.231 199.31 63.846 146 47.442 146 138.14 136.31 141.38 138.73 124.42 136.31 109.88 136.31 .84615' fill='%23ff3333'/%3E%3C/g%3E%3C/g%3E%3C/svg%3E");
}
.lastfm {
  background-color: #e31b23;
  background-size: 80% !important;
  background-image: url("data:image/svg+xml,%3Csvg width='32px' height='32px' version='1.1' viewBox='0 0 32 32' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='m14.131 22.948l-1.172-3.193s-1.912 2.131-4.771 2.131c-2.537 0-4.333-2.203-4.333-5.729 0-4.511 2.276-6.125 4.515-6.125 3.224 0 4.245 2.089 5.125 4.772l1.161 3.667c1.161 3.561 3.365 6.421 9.713 6.421 4.548 0 7.631-1.391 7.631-5.068 0-2.968-1.697-4.511-4.844-5.244l-2.344-.511c-1.624-.371-2.104-1.032-2.104-2.131 0-1.249.985-1.984 2.604-1.984 1.767 0 2.704.661 2.865 2.24l3.661-.444c-.297-3.301-2.584-4.656-6.323-4.656-3.308 0-6.532 1.251-6.532 5.245 0 2.5 1.204 4.077 4.245 4.807l2.484.589c1.865.443 2.484 1.224 2.484 2.287 0 1.359-1.323 1.921-3.828 1.921-3.703 0-5.244-1.943-6.124-4.625l-1.204-3.667c-1.541-4.765-4.005-6.531-8.891-6.531-5.287-.016-8.151 3.385-8.151 9.192 0 5.573 2.864 8.595 8.005 8.595 4.14 0 6.125-1.943 6.125-1.943z' fill='%23fff'/%3E%3C/svg%3E");
}
.google {
  background-color: lightgray;
  background-size: 70% !important;
  background-image: url("data:image/svg+xml,%3Csvg width='24' height='24' version='1.1' viewBox='0 0 24 24' xmlns='http://www.w3.org/2000/svg'%3E%3Cg transform='translate(27.009 -39.239)'%3E%3Cpath d='m-3.264 51.509c0-.79-.07-1.54-.19-2.27h-11.3v4.51h6.47c-.29 1.48-1.14 2.73-2.4 3.58v3h3.86c2.26-2.09 3.56-5.17 3.56-8.82z' fill='%234285F4'/%3E%3Cpath d='m-14.754 63.239c3.24 0 5.95-1.08 7.93-2.91l-3.86-3c-1.08.72-2.45 1.16-4.07 1.16-3.13 0-5.78-2.11-6.73-4.96h-3.98v3.09c1.97 3.92 6.02 6.62 10.71 6.62z' fill='%2334A853'/%3E%3Cpath d='m-21.484 53.529c-.25-.72-.38-1.49-.38-2.29s.14-1.57.38-2.29v-3.09h-3.98c-.82 1.62-1.29 3.44-1.29 5.38s.47 3.76 1.29 5.38l3.98-3.09z' fill='%23FBBC05'/%3E%3Cpath d='m-14.754 43.989c1.77 0 3.35.61 4.6 1.8l3.42-3.42c-2.07-1.94-4.78-3.13-8.02-3.13-4.69 0-8.74 2.7-10.71 6.62l3.98 3.09c.95-2.85 3.6-4.96 6.73-4.96z' fill='%23EA4335'/%3E%3C/g%3E%3C/svg%3E");
}
.album {
  width: 160px;
  height: 160px;
  object-fit: cover;
  background: var(--night);
  outline: 2px solid var(--night);
  border-radius: 4%;
}
@keyframes marquee {
  0% { text-indent: 0px; }
}

/* Alert Layer */

.alert-layer {
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  background-color: var(--alert_alpha_bg);
  display: flex;
  align-items: center;
  justify-content: center;
  position: fixed;
  overflow: auto;
  z-index: 10000;
}
.alert-wrapper {
  max-width: var(--main_max_width);
  margin: 20px;
  padding: 20px;
  color: #202020;
  border-radius: 10px;
  background-color: #fff;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.alert-text {
  text-align: center;
}
.alert-button {
  margin-top: 20px;
  padding: 8px 24px;
  border-radius: 8px;
  color: white;
  font-weight: bold;
  background: var(--player_text_bg);
  cursor: pointer;
  -webkit-user-select: none;
  user-select: none;
}

/* Dowm Player (Mobile View) */

@media screen and (max-width: 600px) {
  .main {
    width: unset;
    margin-bottom: 80px;
  }
  .about {
    margin: 0 10px;
  }
  .player {
    flex-direction: column-reverse;
    background: var(--player_bg);
    position: fixed;
    width: 100%;
    bottom: 0;
    gap: unset;
    z-index: 1;
  }
  .player > * {
    background: none;
    box-shadow: none;
  }
  .base {
    border-radius: unset;
    /*padding: 0 5px 5px 5px;*/
  }
  #generated_links {
  }
  #generated_links div::before {
    background-color: var(--player_text_bg);
  }
  .settings_main_block.show {
    background-color: var(--player_text_bg);
    border-radius: 3px;
    margin: 5px;
  }
  .settings_main_block.show input[type="checkbox"] {
    background-color: var(--player_dn);
  }
  .settings_main_block.show input[type="checkbox"]:checked {
    background-color: var(--player_slider_progress);
  }
  .current:not(:empty) {
    font-size: 16px;
  }
  .control {
    height: 38px;
  }
  .writetous, .lastplayed, .settings {
    width: 38px !important;
  }
  .settings_effect_select {
    width: 32px;
    height: 32px;
  }
  .settings_block {
    font-size: 14px;
  }
  input[type="checkbox"] {
    transform: scale(1.3);
    left: -5px;
  }
  .album {
    width: clamp(160px, calc(40vh - 90px), 225px);
    height: clamp(160px, calc(40vh - 90px), 225px);
  }
}
